org.eclipse.oomph.targlets

## Interface FeatureGenerator

- All Superinterfaces:
    EObject, IUGenerator, ModelElement, Notifier
  All Known Implementing Classes:
    FeatureGeneratorImpl

      public interface FeatureGenerator
      extends IUGenerator

  A representation of the model object 'Feature Generator'.
  See Also:
    `TargletPackage.getFeatureGenerator()`
  Generated
  Model

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROP_REQUIRED_LICENCSE_FEATURE_ID`
    `static String` | `PROP_REQUIRED_LICENCSE_FEATURE_VERSION_RANGE`

    - ### Fields inherited from interface org.eclipse.oomph.targlets.IUGenerator

      `DEFAULTS`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.oomph.targlets.IUGenerator

      `generateIUs, modifyIU`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### PROP_REQUIRED_LICENCSE_FEATURE_ID

          static final String PROP_REQUIRED_LICENCSE_FEATURE_ID

      See Also:
        Constant Field Values

    - #### PROP_REQUIRED_LICENCSE_FEATURE_VERSION_RANGE

          static final String PROP_REQUIRED_LICENCSE_FEATURE_VERSION_RANGE

      See Also:
        Constant Field Values

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html